<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('video', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->comment('用户id');
            $table->string('video_title')->nullable()->comment('视频标题');
            $table->string('video_url')->comment('视频地址');
            $table->string('img_url')->comment('视频封面预览图地址');
            $table->string('label')->nullable()->comment('标签');
            $table->string('country')->nullable()->comment('国家');
            $table->string('desc')->nullable()->comment('描述');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('video');
    }
};
